package mapped;

import java.util.Date;
import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSArchiveDiskAction;

@ObfuscatedName("or")
public class ArchiveDiskAction extends Node implements RSArchiveDiskAction {
   @ObfuscatedName("ap")
   @ObfuscatedSignature(
      descriptor = "Liu;"
   )
   static Clock clock;
   @ObfuscatedName("at")
   @ObfuscatedGetter(
      intValue = 2085717441
   )
   int type;
   @ObfuscatedName("ah")
   public byte[] data;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Lrg;"
   )
   public ArchiveDisk archiveDisk;
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Loh;"
   )
   public Archive archive;

   @ObfuscatedName("bm")
   @ObfuscatedSignature(
      descriptor = "(ILdt;ZB)I",
      garbageValue = "20"
   )
   static int method6886(int var0, Script var1, boolean var2) {
      String var3;
      int var4;
      if(var0 == 4100) {
         var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
         var4 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
         Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3 + var4;
         return 1;
      } else {
         String var9;
         if(var0 == 4101) {
            class127.Interpreter_stringStackSize -= 2;
            var3 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize];
            var9 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize + 1];
            Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3 + var9;
            return 1;
         } else if(var0 == 4102) {
            var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
            var4 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
            Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3 + SceneTilePaint.intToString_base(var4, true);
            return 1;
         } else if(var0 == 4103) {
            var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
            Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3.toLowerCase();
            return 1;
         } else {
            int var6;
            int var10;
            if(var0 == 4104) {
               var10 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
               long var11 = (11745L + (long)var10) * 86400000L;
               Interpreter.Interpreter_calendar.setTime(new Date(var11));
               var6 = Interpreter.Interpreter_calendar.get(5);
               int var17 = Interpreter.Interpreter_calendar.get(2);
               int var8 = Interpreter.Interpreter_calendar.get(1);
               Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var6 + "-" + Interpreter.Interpreter_MONTHS[var17] + "-" + var8;
               return 1;
            } else if(var0 != 4105) {
               if(var0 == 4106) {
                  var10 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = Integer.toString(var10);
                  return 1;
               } else if(var0 == 4107) {
                  class127.Interpreter_stringStackSize -= 2;
                  Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = GrandExchangeOfferAgeComparator.method7112_base(class189.method3750(Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize], Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize + 1], class85.clientLanguage));
                  return 1;
               } else {
                  int var5;
                  byte[] var13;
                  Font var14;
                  if(var0 == 4108) {
                     var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                     DbTableType.Interpreter_intStackSize -= 2;
                     var4 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                     var5 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1];
                     var13 = VarbitComposition.archive13.takeFile_base(var5, 0);
                     var14 = new Font(var13);
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var14.lineCount_base(var3, var4);
                     return 1;
                  } else if(var0 == 4109) {
                     var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                     DbTableType.Interpreter_intStackSize -= 2;
                     var4 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                     var5 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1];
                     var13 = VarbitComposition.archive13.takeFile_base(var5, 0);
                     var14 = new Font(var13);
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var14.lineWidth_base(var3, var4);
                     return 1;
                  } else if(var0 == 4110) {
                     class127.Interpreter_stringStackSize -= 2;
                     var3 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize];
                     var9 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize + 1];
                     if(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1) {
                        Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3;
                     } else {
                        Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var9;
                     }

                     return 1;
                  } else if(var0 == 4111) {
                     var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = AbstractFont.escapeBrackets_base(var3);
                     return 1;
                  } else if(var0 == 4112) {
                     var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                     var4 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3 + (char)var4;
                     return 1;
                  } else if(var0 == 4113) {
                     var10 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapElement.isCharPrintable_base((char)var10)?1:0;
                     return 1;
                  } else if(var0 == 4114) {
                     var10 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = KeyHandler.isAlphaNumeric_base((char)var10)?1:0;
                     return 1;
                  } else if(var0 == 4115) {
                     var10 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = class10.isCharAlphabetic_base((char)var10)?1:0;
                     return 1;
                  } else if(var0 == 4116) {
                     var10 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = Player.isDigit_base((char)var10)?1:0;
                     return 1;
                  } else if(var0 == 4117) {
                     var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                     if(var3 != null) {
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var3.length();
                     } else {
                        Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     }

                     return 1;
                  } else if(var0 == 4118) {
                     var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                     DbTableType.Interpreter_intStackSize -= 2;
                     var4 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                     var5 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1];
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3.substring(var4, var5);
                     return 1;
                  } else if(var0 == 4119) {
                     var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                     StringBuilder var18 = new StringBuilder(var3.length());
                     boolean var16 = false;

                     for(var6 = 0; var6 < var3.length(); ++var6) {
                        char var7 = var3.charAt(var6);
                        if(var7 == '<') {
                           var16 = true;
                        } else if(var7 == '>') {
                           var16 = false;
                        } else if(!var16) {
                           var18.append(var7);
                        }
                     }

                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var18.toString();
                     return 1;
                  } else if(var0 == 4120) {
                     var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                     var4 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var3.indexOf(var4);
                     return 1;
                  } else if(var0 == 4121) {
                     class127.Interpreter_stringStackSize -= 2;
                     var3 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize];
                     var9 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize + 1];
                     var5 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = var3.indexOf(var9, var5);
                     return 1;
                  } else if(var0 == 4122) {
                     var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3.toUpperCase();
                     return 1;
                  } else if(var0 == 4123) {
                     class127.Interpreter_stringStackSize -= 3;
                     var3 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize];
                     var9 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize + 1];
                     String var15 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize + 2];
                     if(class229.localPlayer.appearance == null) {
                        Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var15;
                        return 1;
                     } else {
                        switch(class229.localPlayer.appearance.field3598) {
                        case 0:
                           Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3;
                           break;
                        case 1:
                           Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var9;
                           break;
                        case 2:
                        default:
                           Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var15;
                        }

                        return 1;
                     }
                  } else {
                     return 2;
                  }
               }
            } else {
               class127.Interpreter_stringStackSize -= 2;
               var3 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize];
               var9 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize + 1];
               if(class229.localPlayer.appearance != null && class229.localPlayer.appearance.gender != 0) {
                  Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var9;
               } else {
                  Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = var3;
               }

               return 1;
            }
         }
      }
   }

   @ObfuscatedName("lr")
   @ObfuscatedSignature(
      descriptor = "(Lds;IIIB)V",
      garbageValue = "0"
   )
   static final void method6888(Player var0, int var1, int var2, int var3) {
      if(SpriteMask.client.getCallbacks().draw(var0, false)) {
         Scene.copy$addPlayerToMenu(var0, var1, var2, var3, (byte)0);
      }

   }

   @ObfuscatedName("mu")
   @ObfuscatedSignature(
      descriptor = "(Lnn;I)Lnn;",
      garbageValue = "725672133"
   )
   static Widget method6887(Widget var0) {
      Widget var1 = class227.method4434(var0);
      if(var1 == null) {
         var1 = var0.parent;
      }

      return var1;
   }
}
